lkml.org 
[lkml]   [2004]   [Jun]   [11]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
SubjectRe: Invalid module format ?
Date
J.A. Magallon ,

Grab the latest offical nvidia driver 5336 , then patch it with the patch
aviable from http://www.minion.de/nvidia.html ( there patch allows the nvidia
driver to compile and work under gcc 3.4 ).

You also may want to make sure your using the latest module-init-tools.


Matt H.



On Friday 11 June 2004 5:38 pm, J.A. Magallon wrote:
> Hi all...
>
> First of all, I'm aware of the 'ask the vendor' answer. I just would like
> the reasons.
>
> With gcc-3.4.1 cvs, the nvidia module is miscompiled or something.
> The same sources that build and install with gcc-3.3, now build and give
> me this:
>
> werewolf:~# modinfo nvidia
> filename: /lib/modules/2.6.7-rc3-jam1/video/nvidia.ko
> license: NVIDIA
> werewolf:~# modprobe nvidia
> FATAL: Error inserting nvidia
> (/lib/modules/2.6.7-rc3-jam1/video/nvidia.ko): Invalid module format
>
> syslog:
>
> Jun 12 02:35:44 werewolf kernel: No module found in object
>
> werewolf:~# cat /proc/version
> Linux version 2.6.7-rc3-jam1 (root@werewolf.able.es) (gcc version 3.4.1
> (Mandrakelinux (Cooker) 3.4.1-0.2mdk)) #1 SMP Fri Jun 11 01:49:52 CEST 2004
>
> Any idea ?
-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/

\
 
 \ /
  Last update: 2005-03-22 14:03    [from the cache]
©2003-2011 Jasper Spaans